import { HtmlTextParser } from './../ctrls/HtmlTextParser';
import Panel from "../views/Panel";
import { NetManager } from "../../libs/tw/manager/NetManager";
import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public ruleGroup:eui.Group;
    public ruleLb:eui.Label;

    public get skinKey() { return 'RulePanel' }
    // public get groupName() { return 'rule_panel' }

    constructor(data: any) {
        super(data);
    }

    onSkinComplete(): void {
        super.onSkinComplete();

        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
        this.showAct();
    }

    start(): void {
        this.percentHeight = 100;
    }

    initEvents(): void {
        super.initEvents();
    }

    removeEvents(): void {
        super.removeEvents();
    }

    private onLoad():void{
        // NetManager.ins.getRule(function(success){

        //     if(success){
        //         //使用 HtmlTextParser 解析html文本
        //         this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.getRuleData.ruleText);
        //     }else{
        //         this.ruleLb.text = '规则'
        //     }
        // }.bind(this));

        // this.ruleLb.textColor = 0x2c2a29;
        // this.ruleLb.stroke = 0;
        // this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.ajaxElementDataNew.rule);
        this.ruleLb.text = window['rule'] ? window['rule'] : `1.签到周期为自然月，每月底客户获得的星光数量清零；
2.每日点击签到可以获得一定数值星光，签到后分享活动可再获得小额星光。
3.签到周期内，可通过完成指定任务获得大额星光，任务按月更新，每月仅能参加一次；
4.兑换说明：签到累计一定星光后，可兑换相应的奖品，当月每个奖品仅可兑换一次；活动周期内，奖品每周一上午9：30-10:30更新库存，奖品库存有限，兑完即止，先到先得；
5.领奖说明：奖品兑换成功的用户请根据兑换页面提示录入对应兑奖信息，实物奖品需在24小时内点击奖品详情页“立即领取”按钮领取，24小时内未领取，奖品将过期，视为主动放弃领奖资格。虚拟票券类奖品需在活动截止日期前领取，活动时间内未领取，奖品将过期，视为主动放弃领奖资格。具体兑换信息以奖品详情页为准，实物商品将在客户领取成功后15个工作日内发出；
6.每月一等奖兑换名单将会在次月“苏州银行电子银行”微信公众号内进行公示，客户可关注公众号了解奖品兑换信息；
7.活动奖品由第三方公司提供，如有疑问，可直接联系客服专线：4006090828（工作日9:00至18:00），如需第三方联系您，请注意接听客服外呼专线：95184217或（0571）95184217；
8.用户如果违反诚实守信原则或出现违规行为（包括但不限于侵犯第三人合法权益、作弊、扰乱系统、实施网络攻击、恶意套取、批量注册、用机器注册账户、用机器模拟客户端等方式），一经发现，我行有权终止该用户参与活动并取消其领奖资格；
9.活动中如有突发事件，苏州银行将调整活动时间和奖品设置，并及时以最新活动规则形式告知用户；
10.本活动与苹果公司无关。`;
    }

    
}